Skip to main content
POST
/
v2
/
persons
/
{personId}
/
fields
/
{fieldId}
curl --request POST \ --url https://api.affinity.co/v2/persons/{personId}/fields/{fieldId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "value": { "type": "company", "data": { "id": 1 } } } '
{
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Person ID

Required range: 1 <= x <= 9007199254740991
fieldId
string
required

Field ID

Body

application/json
value
CompaniesValueUpdate · object
Example:
{
  "type": "location",
  "data": {
    "continent": "North America",
    "country": "United States",
    "streetAddress": "1 Main Street",
    "city": "San Francisco",
    "state": "California"
  }
}

Response

No Content